function onTalk()
	disableMovement()
	disableRetry()
	coroutine.yield(player:CreateSplitParticles())
	playSound("event:/char/badeline/disappear")
	wait(0.15)
	setFlag("spawnBadelineEnd",true)
	badeline = celeste.BadelineDummy(player.Position + vector2(0, 0))
	wait(0.25)
	if getFlag("gotAllCs") then
		setFlag("levelUp",true)
		playSound("event:/game/06_reflection/hug_levelup_text_in")
		wait(1)
		say("CC_cckids_goodEnding")
		setFlag("getFloppyDisk",true)
	else
		say("CC_cckids_badEnding")
	end
	if getFlag("") then
		say("CC_cckids_balloonEnding")
	end
	wait(0.25)
end

function onEnd()
	setFlag("theEnd",true)
end